package com.jxy.marketall.service;


import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.marketall.vo.*;

import java.sql.Time;


/**
 * @Description 秒交易数查询服务类
 * @Date 2022/5/20 11:40
 * @Author 杜懿
 */
public interface ExchangeService {

    /***
     * 查询资金费率
     * @param vo
     * @return
     */
    public AjaxResult getFundingRateByTime(BourseVo vo);

    /***
     * 查询未平仓合约数
     * @param vo
     * @return
     */
    public AjaxResult getOpenInterestByTime(BourseVo vo);

    /***
     * 查询合约主动买入量
     * @param vo
     * @return
     */
    public AjaxResult getTakerlongshortRatioByTime(BourseVo vo);

    /***
     * 查询合约主动买入量
     * @param vo
     * @return
     */
    public AjaxResult getVolumeProfile(VolumeProfileVo vo);


    /***
     * 查询时区购买力
     * @param vo
     * @return
     */
    public AjaxResult getTimeZoneBuyPowerList(TimeZoneVo vo);

    /***
     * 查询btc余额
     * @param vo
     * @return
     */
    public AjaxResult getBTCBalanceList(QueryVo vo);

    /***
     * 查询eth余额
     * @param vo
     * @return
     */
    public AjaxResult getETHBalanceList(QueryVo vo);


}
